"""
@author: luojunhui
"""
import json
from tqdm import tqdm
import pandas as pd

"""
    m 生活情感叁读 0
    m 缘来养心厅 1
    m 心灵情感驿站 2
    m 生活良读 0
    m 祝福养心厅 1
    m 音药金曲厅 2
    d 便捷生活好方法 1
    d 畅聊奇闻 1
"""


def function1(account):
    if account in ["生活情感叁读", "生活良读"]:
        return 0
    elif account in ["缘来养心厅", "祝福养心厅", "便捷生活好方法", "畅聊奇闻"]:
        return 1
    elif account in ["心灵情感驿站", "音药金曲厅"]:
        return 2
    else:
        return None


def function2(account):
    if account in ["生活情感叁读", "生活良读", "缘来养心厅", "祝福养心厅", "心灵情感驿站", "音药金曲厅"]:
        return "买号"
    elif account in ["便捷生活好方法", "畅聊奇闻"]:
        return "代运营"


file_path = "result-analysis.xlsx"

data_frame = pd.read_excel(file_path)
print(data_frame.columns)
data_frame['账号类型'] = data_frame['账号来源'].apply(function2)
data_frame['搜索策略'] = data_frame['账号来源'].apply(function1)
data_frame.to_excel("result.xlsx")
